- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyValueAddedChangeBase
- Qt 5.15.18 Reference Documentation

# QPropertyValueAddedChangeBase Class

class Qt3DCore::QPropertyValueAddedChangeBase

The QPropertyValueAddedChangeBase class is the base class for all PropertyValueAdded QSceneChange events. More...

Header: | #include <Qt3DCore/QPropertyValueAddedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange
Inherited By: | Qt3DCore::QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Protected Functions

| QPropertyValueAddedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QPropertyValueAddedChangeBasePtr

## Detailed Description

The QPropertyValueAddedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyValueAdded. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyNodeAddedChange.

You can subclass this to create your own node added types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyValueAddedChangeBase::QPropertyValueAddedChangeBase(QNodeId subjectId)

Constructs a new QPropertyValueAddedChangeBase with subjectId

## Related Non-Members

### typedef QPropertyValueAddedChangeBasePtr

A shared pointer for QPropertyValueAddedChangeBase.